package com.heyu.api.data.dao.u3d;
/**
* <p>
* U3D动作配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.u3d.U3dActionEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface U3dActionDao extends BaseMapper<U3dActionEntity> {


	U3dActionEntity selectU3dActionById(@Param("id")Long id);


	Long insertU3dAction(U3dActionEntity u3dAction);


	Long insertOrUpdateU3dAction(U3dActionEntity u3dAction);


	int updateU3dActionById(U3dActionEntity u3dAction);


	int updateCoverU3dActionById(U3dActionEntity u3dAction);


	int deleteU3dActionById(@Param("id")Long id);


}